'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('tickets', 'reference_no', {
			type: Sequelize.STRING,
			allowNull: false,
		});
		await queryInterface.addColumn('hotel_bookings', 'reference_no', {
			type: Sequelize.STRING,
			allowNull: false,
		});
		await queryInterface.addColumn('activity_bookings', 'reference_no', {
			type: Sequelize.STRING,
			allowNull: false,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('tickets', 'reference_no');
		await queryInterface.removeColumn('hotel_bookings', 'reference_no');
		await queryInterface.removeColumn('activity_bookings', 'reference_no');
	},
};
